#ifndef SpielV_H
#define SpielV_H

#include <KSGNetwork.h>
#include <Bildschirm.h>
#include <Schrift.h>

using namespace Framework;

class SpielV
{
private:

public:
	// nicht constant
	virtual void setSchrift( Schrift *schrift ) = 0;
	virtual void setBildschirm( Bildschirm *screen ) = 0;
	virtual void nachricht( int län, char *bytes ) = 0;
	virtual void setKlients( KSGClient::InformationServerClient *infoKlient, KSGClient::SpielServerClient *spielKlient ) = 0;
	virtual void setKarteId( int karteId ) = 0;
	virtual void ladeDaten() = 0;
	virtual void doMausEreignis( MausEreignis &me ) = 0;
	virtual void doTastaturEreignis( TastaturEreignis &te ) = 0;
	virtual bool tick( double tickVal ) = 0;
	virtual void render( Bild &zRObj ) = 0;
	// constant
	virtual int läuft() const = 0;
	// Reference Counting
	virtual SpielV *getThis() = 0;
	virtual SpielV *release() = 0;
};

#endif